FORUMS: list search recent posts

FX Factory

COW Forums : Apple Final Cut Pro X Debates

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
David Mathis
FX Factory
on Oct 18, 2013 at 5:15:05 am

I recently did a clean install from the ground up on my Mac Pro. Since then I can not get FX Factory 4.1 to install. I keep getting an error message saying I need a newer version of OS X. Right now I am at 10.8.5 which meets the system requirement. Any help is greatly appreciated and apologies in advance if this is being posted in the wrong forum.

System Details:
OS X 10.8.5
Have current version of FCP X and Motion
Resolve 10 Beta 3
Adobe CS5


Return to posts index


Mark Dobson
Re: FX Factory
on Oct 18, 2013 at 6:51:29 am

[David Mathis] "I keep getting an error message saying I need a newer version of OS X"

I've had the same message. Must be a fault with the FxFactory download. Suggest you contact then directly. They are normally very responsive.

I just couldn't be bothered as I get tired of the constant new versions, normally launched to introduce a new plugin I have no interest in. I don't understand why there is not a more elegant solution for launching new plugins or updates.


Return to posts index

David Mathis
Re: FX Factory
on Oct 21, 2013 at 4:53:38 pm

I did a complete clean install of 10.8.5 from the ground up and it appears there was an issue with the first update. All is working now. Appears to be an isolated issue.


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]